Gravity.cpp File Reference

Command line utility for evaluating gravity fields. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/GravityModel.hpp>`
`#include <GeographicLib/GravityCircle.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include "Gravity.usage"`

Go to the source code of this file.

## Functions

int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for evaluating gravity fields.

Copyright (c) Charles Karney (2011-2022) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file Gravity.cpp.

## Function Documentation

## main()

int main | ( | int | argc,
|  | const char *const | argv[]
| ) |  |

Definition at line 29 of file Gravity.cpp.

References GeographicLib::GravityModel::Circle(), GeographicLib::GravityModel::DateTime(), GeographicLib::GravityModel::Description(), GeographicLib::GravityModel::Disturbance(), GeographicLib::GravityCircle::Disturbance(), GeographicLib::GravityModel::GeoidHeight(), GeographicLib::GravityCircle::GeoidHeight(), GeographicLib::GravityModel::Gravity(), GeographicLib::GravityCircle::Gravity(), GeographicLib::GravityModel::GravityFile(), GeographicLib::GravityModel::GravityModelName(), GeographicLib::GravityModel::SphericalAnomaly(), and GeographicLib::GravityCircle::SphericalAnomaly().